Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Database

    java.lang.Object
      |
      +--org.hsqldb.Database

class Database
extends java.lang.Object

Database class declaration

Database is the root class for HSQL Database Engine database. This class should not be used directly by the application, instead the jdbc* classes should be used.

Constructor Summary
`(package private)` | `Database(java.lang.String name)` Constructor declaration

Method Summary
`(package private) Channel` | `connect(java.lang.String username, java.lang.String password)` Method declaration
`(package private) Result` | `execute(java.lang.String statement, Channel channel)` Method declaration
`(package private) byte[]` | `execute(java.lang.String user, java.lang.String password, java.lang.String statement)` Method declaration
`void` | `finalize()` Method declaration
`(package private) java.util.Hashtable` | `getAlias()` Method declaration
`(package private) java.lang.String` | `getAlias(java.lang.String s)` Method declaration
`(package private) Log` | `getLog()` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) Result` | `getScript(boolean drop, boolean insert, boolean cached, Channel channel)` Method declaration
`(package private) Table` | `getTable(java.lang.String name, Channel channel)` Method declaration
`(package private) java.util.Vector` | `getTables()` Method declaration
`(package private) boolean` | `isIgnoreCase()` Method declaration
`(package private) boolean` | `isReferentialIntegrity()` Method declaration
`(package private) boolean` | `isShutdown()` Method declaration
`(package private) void` | `linkTable(Table t)` Method declaration
`(package private) void` | `registerChannel(Channel channel)` Method declaration
`(package private) void` | `setReadOnly()` Method declaration
`(package private) void` | `setReferentialIntegrity(boolean ref)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Database

    Database(java.lang.String name)
       throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `name` -

Method Detail

### getName

    java.lang.String getName()

  Method declaration
  Returns:

### isShutdown

    boolean isShutdown()

  Method declaration
  Returns:

### connect

    Channel connect(java.lang.String username,
                    java.lang.String password)
              throws java.sql.SQLException

  Method declaration
  Parameters:
    `username` -
    `password` -
  Returns:
  Throws:
    java.sql.SQLException -

### registerChannel

    void registerChannel(Channel channel)

  Method declaration
  Parameters:
    `channel` -

### execute

    byte[] execute(java.lang.String user,
                   java.lang.String password,
                   java.lang.String statement)

  Method declaration
  Parameters:
    `user` -
    `password` -
    `statement` -
  Returns:

### execute

    Result execute(java.lang.String statement,
                   Channel channel)

  Method declaration
  Parameters:
    `statement` -
    `channel` -
  Returns:

### setReadOnly

    void setReadOnly()

  Method declaration

### getTables

    java.util.Vector getTables()

  Method declaration
  Returns:

### setReferentialIntegrity

    void setReferentialIntegrity(boolean ref)

  Method declaration
  Parameters:
    `ref` -

### isReferentialIntegrity

    boolean isReferentialIntegrity()

  Method declaration
  Returns:

### getAlias

    java.util.Hashtable getAlias()

  Method declaration
  Returns:

### getAlias

    java.lang.String getAlias(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### getLog

    Log getLog()

  Method declaration
  Returns:

### getTable

    Table getTable(java.lang.String name,
                   Channel channel)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `name` -
    `channel` -
  Returns:
  Throws:
    java.sql.SQLException -

### getScript

    Result getScript(boolean drop,
                     boolean insert,
                     boolean cached,
                     Channel channel)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `drop` -
    `insert` -
    `cached` -
    `channel` -
  Returns:
  Throws:
    java.sql.SQLException -

### linkTable

    void linkTable(Table t)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `t` -
  Throws:
    java.sql.SQLException -

### isIgnoreCase

    boolean isIgnoreCase()

  Method declaration
  Returns:

### finalize

    public void finalize()

  Method declaration
  Overrides:
    finalize in class java.lang.Object

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD